﻿using System;
using System.Diagnostics;
using BeeDevelopment.Infrared;

namespace BeeDevelopment.InfraredTester {
	class Program {
		static void Main(string[] args) {

			Process.GetCurrentProcess().PriorityClass = ProcessPriorityClass.RealTime;

			using (var Receiver = new Infrared.RemoteControlReceiver("COM1")) {
				Receiver.CommandReceived += (sender, e) => Console.WriteLine("{0} {1}", e.Command.GetType().Name, e);
				Console.ReadKey(true);
			}
		}
	}
}
